﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using AnalyzeTask.SchedulingTasks;
using AnalyzeTask.Tool;
using Quartz;
using Quartz.Impl;
using Serilog;

namespace AnalyzeTask
{
    class Program
    {

        static void Main(string[] args)
        {
            BaseJob.Initialize(new List<BaseJob> {
                new anemia(),//贫血
                new BloodType(),//血型
                new CoagulationFunction(),//凝血功能
                new Complement(),//补体
                new GlycatedHemoglobin(),//糖化血红蛋白
                new GlycosylatedAlbumin(),//糖化白蛋白
                new ImmuneIndexesOfRheumatism(),//风湿免疫指标
                new LupusAnticoagulants(),//狼疮抗凝物
                new OralGlucoseToleranceTest(),//口服葡萄糖耐量实验
                new PlateletAggregationTest(),//血小板聚集试验
                new RoutineBloodTask(),//血常规
                new RoutineUrine(),//尿常规
                new ScreeningForInfectious(),//感染疾病筛查
                new TheBloodBiochemistry(),//血生化
                new ThyroidFunction(),//甲状腺功能
                new TORCH()//TORCH
            });
            BaseJob.Run();
            Console.ReadKey();
        }
    }
}
