﻿using AnalyzeTask.DataSource;
using Quartz;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AnalyzeTask.SchedulingTasks
{
    public class LupusAnticoagulants : BaseJob, IJob
    {
        public LupusAnticoagulants()
        {
            TaskName = "狼疮抗凝物";
        }
        public override void Execute(IJobExecutionContext context)
        {
            try
            {
                DataManipulation manipulation = new DataManipulation();
                DataTable data = manipulation.GetOneInDicatorsByTag(TaskName);
                var TagSource = manipulation.GetTagTableConfig(TaskName);
                if (data.Rows.Count == 0 || TagSource.Count == 0)
                {
                    log.Information($"{TaskName}没有需要同步的数据");
                }
                else
                {
                    manipulation.InsertIntoMSSQL(TagSource, data,
                    n =>
                    {
                        n.Wait();
                        log.Information($"{TaskName}同步成功");
                        manipulation.Dispose();
                    });

                }
                base.NextTime(context);
            }
            catch (Exception ex)
            {
                log.Error(ex, $"{TaskName}同步出错");
            }
        }

        /// <summary>
        /// 注册方法
        /// </summary>
        /// <param name="TaskName"></param>
        /// <param name="TaskGroup"></param>
        /// <returns></returns>
        public override IJobDetail CreateJobDetail(string TaskGroup)
        {
            IJobDetail simpleJob = JobBuilder.Create<LupusAnticoagulants>().WithIdentity(TaskName, TaskGroup).Build();
            return simpleJob;
        }

        /// <summary>
        /// 每个插件在此自定义触发器
        /// </summary>
        /// <param name="TriggerName"></param>
        /// <param name="TriggerGroup"></param>
        /// <returns></returns>
        public override ITrigger CreateITrigger(string TriggerName, string TriggerGroup)
        {
            cronTrigger = base.cronTrigger;
            return cronTrigger;
        }
    }
}
